#include <iostream>

using namespace std;

int main()
{
    int n;
    int x;
    cin >> n;
    cin >> x;
    int maks = 0;
    int mini;
    int p;
    cin >> p;
    mini = p;
    for(int i = 1; i < n; i++){
        cin >> p;
        if(p > maks) maks = p;
        if(p < mini) mini = p;
    }
    if(x > mini && x < maks){
        if(x - mini >= maks - x) cout << 2*(maks - x) + x - mini;
        else cout << 2*(x - mini) + maks - x;
    }
    else if(x < mini) cout << maks - x;
    else cout << x - mini;
    return 0;
}